## org.python.core.packagecache
Class CachedJarsPackageManager.JarXEntry

    java.lang.Object
      org.python.core.packagecache.CachedJarsPackageManager.JarXEntry

Enclosing class:
  CachedJarsPackageManager

    public static class CachedJarsPackageManager.JarXEntry

extends Object

To pass a cachefile id by ref. And for internal use. See outCreateCacheFile

Field Summary
`String` `cachefile` cachefile id
`long` `mtime`

Constructor Summary
`CachedJarsPackageManager.JarXEntry(String cachefile)`
`CachedJarsPackageManager.JarXEntry(String cachefile, long mtime)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cachefile

    public String cachefile

  cachefile id

### mtime

    public long mtime

Constructor Detail

### CachedJarsPackageManager.JarXEntry

    public CachedJarsPackageManager.JarXEntry(String cachefile)

### CachedJarsPackageManager.JarXEntry

    public CachedJarsPackageManager.JarXEntry(String cachefile,
                                              long mtime)

Jython homepage